### Method

# Hex Document compare_data

#### Declaration

    int
    hex_document_compare_data (
      HexDocument* doc,
      const char* what,
      gint64 pos,
      size_t len
    )

#### Description

No description available.

#### Parameters

`what`

  Type: An array of `gint8`

  A pointer to the data to compare to data within the `HexDocument`.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the method.

`pos`

  Type: `gint64`

  Offset position of the `HexDocument` data to compare with `what`.

`len`

  Type: `size_t`

  Size of the `HexDocument` data to compare with `what`, in bytes.

#### Return value

Type: `int`

0 if the comparison is an exact match; otherwise, a non-zero value comparable to strcmp().